/* message format for testing the PHY_RADIO -- high speed physical layer */

#ifndef SMAC_TEST_MSG
#define SMAC_TEST_MSG

// include physical layer header defination
#include "smac_msg.h"

typedef struct {
	MACHeader hdr;   // include lower-layer header first
	unsigned char seqNo;
} AppHeader;

#define PAYLOAD_LEN (MAX_PKT_LEN - sizeof(AppHeader) - 2)

typedef struct {
	AppHeader hdr;
	char data[PAYLOAD_LEN];
	short crc;   // crc must be the last field -- required by PHY_RADIO
} AppPkt;

#endif
